# ipfml.iqa.fr

Full-reference Image Quality Assessment (FR-IQA) methods

Functions

`mae`(img_true, img_test) | Returns Mean Absolute Error between two Numpy arrays
`ms_ssim`(img_true, img_test) | Implemented later..
`mse`(img_true, img_test) | Returns Mean-Squared Error score between two Numpy arrays
`psnr`(img_true, img_test) | Returns the computed Peak Signal to Noise Ratio (PSNR) between two images
`rmse`(img_true, img_test) | Returns Root Mean-Squared Error score between two Numpy arrays
`ssim`(img_true, img_test) | Returns the computed Structural Similarity (SSIM) between two images
`vif`(img_true, img_test) | Implemented later..

`ipfml.iqa.fr.``mae`(img_true, img_test)

  Returns Mean Absolute Error between two Numpy arrays

  Parameters:

  - img_true – Image, numpy array of any dimension
  - img_test – Image, numpy array of any dimension

  Returns: | Computed MAE score
  Raises: | `NumpyShapeComparisonException` – if shape of images are not the same

  Example

      >>> from ipfml.iqa import fr
      >>> import numpy as np
      >>> arr1 = np.arange(10)
      >>> arr2 = np.arange(5, 15)
      >>> mae_score = fr.mae(arr1, arr2)
      >>> mae_score
      5.0

`ipfml.iqa.fr.``ms_ssim`(img_true, img_test)

  Implemented later..

`ipfml.iqa.fr.``mse`(img_true, img_test)

  Returns Mean-Squared Error score between two Numpy arrays

  Parameters:

  - img_true – Image, numpy array of any dimension
  - img_test – Image, numpy array of any dimension

  Returns: | Computed MSE score
  Raises: | `NumpyShapeComparisonException` – if shape of images are not the same

  Example

      >>> from ipfml.iqa import fr
      >>> import numpy as np
      >>> arr1 = np.arange(10)
      >>> arr2 = np.arange(5, 15)
      >>> mse_score = fr.mse(arr1, arr2)
      >>> mse_score
      25.0

`ipfml.iqa.fr.``psnr`(img_true, img_test)

  Returns the computed Peak Signal to Noise Ratio (PSNR) between two images

  Parameters:

  - img_true – Image, numpy array of any dimension
  - img_test – Image, numpy array of any dimension

  Returns: | Computed PSNR score

  Example

      >>> from ipfml.iqa import fr
      >>> import numpy as np
      >>> arr1 = np.arange(100).reshape(10, 10)
      >>> arr2 = np.arange(5, 105).reshape(10, 10)
      >>> psnr_score = fr.psnr(arr1, arr2)
      >>> int(psnr_score)
      34

`ipfml.iqa.fr.``rmse`(img_true, img_test)

  Returns Root Mean-Squared Error score between two Numpy arrays

  Parameters:

  - img_true – Image, numpy array of any dimension
  - img_test – Image, numpy array of any dimension

  Returns: | Computed RMSE score
  Raises: | `NumpyShapeComparisonException` – if shape of images are not the same

  Example

      >>> from ipfml.iqa import fr
      >>> import numpy as np
      >>> arr1 = np.arange(10)
      >>> arr2 = np.arange(5, 15)
      >>> rmse_score = fr.rmse(arr1, arr2)
      >>> rmse_score
      5.0

`ipfml.iqa.fr.``ssim`(img_true, img_test)

  Returns the computed Structural Similarity (SSIM) between two images

  Parameters:

  - img_true – Image, numpy array of any dimension
  - img_test – Image, numpy array of any dimension

  Returns: | Computed SSIM score

  Example

      >>> from ipfml.iqa import fr
      >>> import numpy as np
      >>> arr1 = np.arange(100).reshape(10, 10)
      >>> arr2 = np.arange(5, 105).reshape(10, 10)
      >>> ssim_score = fr.ssim(arr1, arr2)
      >>> int(ssim_score)
      0

`ipfml.iqa.fr.``vif`(img_true, img_test)

  Implemented later..